fr

Differences between revisions 2 and 24 (spanning 22 versions)
Revision 2 as of 2008-10-23 11:48:15
Size: 9263
Editor: fredbezies
Comment:
Revision 24 as of 2008-10-31 16:46:10
Size: 24025
Editor: rab34-1-82-224-146-64
Comment:
Deletions are marked like this. Additions are marked like this.
Line 3: Line 3:
Ces notes de publication recensent les problèmes connus pour lUbuntu 8.10 et ses variantes. Ces notes de publication recensent les problèmes connus pour Ubuntu 8.10 et ses variantes.
Line 7: Line 7:
Ubuntu 8.10 requiert un minimum de 256 Mio de mémoire. (Notez bien qu'une partie de la mémoire de votre système peut être utilisée par la carte graphique.)

The minimum memory requirement for Ubuntu 8.10 is 256 MiB of memory. (Note that some of your system's memory may be unavailable due to being used for the graphics card.)

Avec uni
quement le minimum de mémoire requis, le processus d'installation prendra plus de temps mais s'achèvera normalement, et le système fonctionnera correctement une fois installé. Les systèmes disposant de peu de mémoire pourront procéder à l'installation en sélectionnant « Installer ubuntu » depuis le menu de démarrage du CD « Desktop », plutôt que de lancer l'environnement de bureau complet en sélectionnant « Essayer Ubuntu sans rien modifier sur l'ordinateur ».

With only the minimum amount of memory available, the installation process will take longer than normal, but will complete successfully, and the system will perform adequately once installed. Low-memory systems may be able to use the desktop CD to install by selecting "Install Ubuntu" from the boot menu to run just the installer, rather than the whole desktop started by selecting "Try Ubuntu without any change to your computer".
Ubuntu 8.10 requiert un minimum de 256 Mo de mémoire. (Notez bien qu'une partie de la mémoire de votre ordinateur peut être utilisée par la carte graphique et ne pas être disponible pour le système.)


Si vous ne disposez
que du minimum de mémoire requis, l'installation prendra plus de temps mais s'achèvera normalement, et le système fonctionnera correctement une fois installé. Si votre système dispose de peu de mémoire, nous vous conseillons de procéder à l'installation en sélectionnant « Installer Ubuntu » depuis le menu de démarrage du CD « Desktop », plutôt que de lancer l'environnement de bureau complet en sélectionnant « Essayer Ubuntu sans rien modifier sur l'ordinateur ».
Line 17: Line 15:

== Les disques durs pourraient ne pas s'afficher en mode « Live CD » ==

Si un utilisateur parcours un disque dur en mode « Live CD » avant l'installation, Ubiquity ne permettra pas l'installation sur ce disque car les disques ne peuvent pas être partitionnés s'ils ont des partitions montées. Vous devrez d'abord démonter ces partitions avant de pouvoir effectuer une installation.
   

== L'option « logiciels libres seulement » installe des logiciels propriétaires ==

L'option « logiciels libres seulement » disponible en appuyant deux fois sur F6 au premier écran du CD/DVD « desktop », installera le paquet restreint {{{linux-restricted-modules-2.6.27-7-generic}}} par erreur. Ceci peut être contourné en désinstallant le paquet {{{linux-restricted-modules-2.6.27-7-generic}}} une fois l'installation du système terminée.

L'option « logiciels libres seulement » n'installera aucun autre logiciel propriétaire.

Pour plus de renseignements, consultez le [[https://bugs.launchpad.net/ubuntu-release-notes/+bug/290925|Bug 290925]] [en]

== Démarrage lent durant l'étape « Sélectionner et installer des logiciels » dans l'installateur en mode texte ==


L'étape « Sélectionner et installer des logiciels » durant l'installation sur CD en mode texte pourrait se bloquer à quelques pour cents. Ceci est particulièrement le cas pour les installations en réseau (netboot), où il n'y aura pas de barre de progression durant le téléchargement des paquets. Ceci est dû à un problème d'interaction entre l'installateur et `apt-get` qui fut diagnostiqué trop tard pour être corrigé dans Ubuntu 8.10 : [[https://launchpad.net/bugs/290234|bug 290234]].

Vous pouvez savoir si l'installateur est en cours d'avancement en utilisant Alt-F4 pour passer dans la console de suivi ; Alt-F1 permet de revenir à l'installation principale. (Si vous faites une installation dans QEMU ou KVM, assure-vous d'avoir utilisé la combinaison de touches Ctrl+Alt ou d'avoir cliqué dans la fenêtre pour que l'émulateur ait le focus avant d'utiliser Alt+F4, sinon vous fermerez l'émulateur !)

== oem-config n'arrive pas à gérer certaines langues correctement ==

L'outil de configuration OEM pour l'utilisateur final gère mal la sélection de langues qui n'utilisent pas les jeux de caractères ASCII ou ISO-8859-1, et l'utilisateur final se retrouvera sans traduction après avoir sélectionné une de ces langues. La liste des langues connues comme fonctionnelles est la suivante : basque, catalan, danois,néerlandais, anglais, finnois, français, galicien, allemand, indonésien, italien, sami du Nord, norvégien bokmål, norvégien nynorsk, portugais, portugais (Brésil), espagnol, suédois, tagalog.

Pour le moment, les OEMs touchés par ce problème devront appliquer ce [[http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk/revision/555|patch]] (la partie `scripts/tzsetup`) sur le fichier `/usr/lib/oem-config/timezone/tzsetup` avant de lancer « Préparer pour la livraison pour l'utilisateur final ». Nous comptons publier une mise à jour pour ceci d'ici peu, qui sera installable via le système de paquets au même moment.

== Échec de l'installation MID sans réseau ==

Lorsque l'on essaie d'installer une image Ubuntu MID (Mobile Internet Device) sans réseau, l'installeur affiche en boucle une boîte de dialogue lors de l'analyse de l'archive vers la fin de l'installation. La seule manière de sortie de cette boucle est de se connecter à un réseau ([[https://launchpad.net/bugs/288320|bug 288320]]).


== Paquets recommandés installés par défaut ==

En accord avec le guide de la politique Debian (qui indique que le champ « recommandés » doit lister les paquets qui devraient toujours être installés avec celui-ci, sauf cas exceptionnel), le système de gestion des paquets installe maintenant par défaut aussi bien les paquets listés dans le champ « recommandés » que ceux ceux du champ « dépendances ». Si vous voulez éviter ceci pour certains paquets, utilisez `apt-get --no-install-recommends`. Si vous voulez rendre cela définitif, ajoutez l'entrée `APT::Install-Recommends "false"` au fichier `/etc/apt/apt.conf` (créez ce fichier s'il n'existe pas), mais soyez conscient que des fonctionnalités risquent d'être alors absentes dans certains logiciels.


== Limitation de mots de passe avec ecryptfs ==

Les utilisateurs des installations « alternate/server » qui choisissent un mot de passe contenant un "%" ou un "-" obtiendront un repertoire chiffré ~/Private qui ne sera pas monté au redémarrage ni aux connexions suivantes. Pour corriger cela, les utisateurs touchés devront effectuer les étapes suivantes sur un système fraîchement installé :
 1. mettre à jour ecryptfs-utils en version 53-1ubuntu12 au minimum (dès que le paquet de mise à jour sera disponible) ;
 2. exécuter : {{{$ ecryptfs-setup-private --force}}}.

Pour plus d'informations sur ce bogue et un début de solution voir [[https://launchpad.net/bugs/290445|bug #290445]].

== Problèmes d'installation sur PlayStation 3 ==

Il y a quelques problèmes non bloquants avec l'installation depuis le CD alternate sur les Play``Station 3. Voir [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]] pour plus de détails.
Line 18: Line 65:
Les utilisateurs d'Ubuntu 8.04 peuvent mettre à niveau leur distribution vers la version 8.10 grâce à un processus automatisé. Pour ceux qui utilisent une version plus ancienne, il faudra d'abord effectuer une mise à niveau vers Ubuntu 8.04 LTS, puis vers la version 8.10. Les instructions complètes peuvent être consultées sur http://www.ubuntu.com/getubuntu/upgrading [en].
Users of Ubuntu 8.04 can upgrade to Ubuntu 8.10 by a convenient automated process. Users of older Ubuntu releases need to upgrade to Ubuntu 8.04 LTS first, and then to 8.10. Complete instructions may be found at http://www.ubuntu.com/getubuntu/upgrading.

== Paquets recommandés installés par défaut ==

En accord avec le guide de la politique Debian (qui indique que le champ « recommandés » doit lister les paquets qui devraient toujours être installés avec celui-ci, sauf cas exceptionnel), le système de gestion des paquets installe maintenant par défaut aussi bien les paquets listés dans le champ « recommandés » que ceux ceux du champ « dépendances ». Si vous voulez éviter ceci pour certains paquets, utilisez `apt-get --no-install-recommends`. Si vous voulez rendre cela définitif, modifiez l'entrée `APT::Install-Recommends` du fichioer `/etc/apt/apt.conf`, mais soyez conscient que des fonctionnalités risquent d'être alors absentes dans certains logiciels.

In accordance with the Debian Policy Manual (which says "The 'Recommends' field should list packages that would be found together with this one in all but unusual installations"), the package management system now installs packages listed in the Recommends: field of other installed packages as well as Depends: by default. If you want to avoid this for specific packages, use `apt-get --no-install-recommends`; if you want to make this permanent, set `APT::Install-Recommends` in `/etc/apt/apt.conf`. Be aware that this may result in missing features in some programs.

Les utilisateurs d'Ubuntu 8.04 LTS peuvent mettre à niveau leur distribution vers la version 8.10 grâce à un processus automatisé. Pour ceux qui utilisent une version plus ancienne, il faudra d'abord effectuer une mise à niveau vers Ubuntu 8.04 LTS, puis vers la version 8.10. Les instructions complètes peuvent être consultées sur http://www.ubuntu.com/getubuntu/upgrading [en].
Line 29: Line 70:
The 71 and 96 series of proprietary nVidia drivers, as provided by the {{{nvidia-glx-legacy}}} and {{{nvidia-glx}}} packages in Ubuntu 8.04, are not compatible with the X.Org included in Ubuntu 8.10. Users with the nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, and Ge``Force4 chipsets are affected and will be transitioned on upgrade to the free {{{nv}}} driver instead. This driver does not support 3D acceleration.

Les séries 71 et 96 des pilotes propriétaires nVidia, proposés par les paquets {{{nvidia-glx-legacy}}} et {{{nvidia-glx}}} dans Ubuntu 8.04, ne sont pas compatible avec le X.Org contenu dans Ubuntu 8.10. Les utilisateurs de circuits nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, et Ge``Force4 sont touchés et seront transférés vers le pilote libre {{{nv}}} à la place. Ce pilote ne supporte pas l'accélération 3D.

Users of other nVidia chipsets that are supported by the 173 or 177 driver series will be transitioned to the {{{nvidia-glx-173}}} or {{{nvidia-glx-177}}} package instead. However, unlike drivers 96 and 71, drivers 173 and 177 are only compatible with CPUs that support [[http://en.wikipedia.org/wiki/Streaming_SIMD_Extensions|SSE]] (e.g. Intel Pentium III, AMD Athlon XP or higher). Systems with older CPUs will also be transitioned to the {{{nv}}} driver on upgrade.

Les utilisateurs d'autres circuits nVidia qui sont supportés par les pilotes des séries 173 ou 177 seront transférés vers le paquet {{{nvidia-glx-173}}} ou {{{nvidia-glx-177}}} à la place. Cependant, à la différence des pilotes 96 et 61, les pilotes 173 et 177 ne sont compatibles qu'avec les CPUs qui supportent le [[http://fr.wikipedia.org/wiki/Streaming_SIMD_Extensions|SSE]] (p.e. Intel Pentium III, AMD Athlon XP ou plus récent). Les systèmes avec des CPUs plus anciens seront transférés vers le pilotes {{{nv}}} durant la mise à jour.
Les séries 71 et 96 des pilotes propriétaires nVidia, proposés par les paquets {{{nvidia-glx-legacy}}} et {{{nvidia-glx}}} dans Ubuntu 8.04 LTS, ne sont pas compatibles avec la version du serveur X.Org incluse dans Ubuntu 8.10. Les utilisateurs de cartes graphiques à base de nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, et Ge``Force4 sont concernés, et leur pilote sera remplacé par le pilote libre {{{nv}}} lors de la mise à jour. Ce pilote ne prend pas en charge l'accélération 3D.

Les utilisateurs dont les cartes graphiques sont prises en charge par les pilotes des séries 173 ou 177 se verront proposer les paquets {{{nvidia-glx-173}}} ou {{{nvidia-glx-177}}} à la place. Cependant, à la différence des pilotes 96 et 71, les pilotes 173 et 177 ne sont compatibles qu'avec les processeurs gérant les [[http://fr.wikipedia.org/wiki/Streaming_SIMD_Extensions|SSE]] (les Intel Pentium III, AMD Athlon XP ou plus récent). Les systèmes avec des processeurs plus anciens seront configurés pour utiliser le pilote {{{nv}}} durant la mise à jour.

== Prise en charge des cartes ATI avec « fglrx » ==

Le pilote graphique ATI dans Ubuntu 8.10 abandonne la prise en charge des cartes basées sur les circuits r300 (les séries de cartes Radeon 9500 - X600). Si vous avez une telle carte, veuillez utiliser « Pilotes de périphériques » dans le menu Système/Administration pour le désactiver avant la mise à jour.
Consultez [[https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284408|bug 284408]] pour plus d'informations.
Line 39: Line 81:
The X.Org configuration file ({{{/etc/X11/xorg.conf}}}) still has Input``Device entries for the mouse and keyboard, but they are ignored now because input-hotplug is
used. The keyboard settings now come from {{{/etc/default/console-setup}}}; to change them please use `sudo dpkg-reconfigure console-setup`. After that, HAL and X
need to be restarted (e.g., by rebooting your system).

Le fichier de configuration de X.org ({{{/etc/X11/xorg.conf}}}) contient toujours les entrées Input``Device pour la souris et le clavier, mais sont désormais ignorés car le branchement à chaud est employé. Les réglages du claviers proviennent maintenant de {{{/etc/default/console-setup}}} ; pour les modifier veuillez employer `sudo dpkg-reconfigure console-setup`. Après cela, HAL et X doivent être redemarré (p.e., en redémarrant votre système).

== X.Org evdev xmodmap incompatibility ==

The X keycodes generated with the new {{{evdev}}} input driver in X.Org 1.5 are not compatible with those generated in Ubuntu 8.04 LTS and before. If you have configured keybindings for your user with a {{{~/.Xmodmap}}} file, you will need to convert or disable it by hand on upgrade.

== Applet de déconnexion GNOME ==

The "Logout" applet which appeared by default on the panel in earlier Ubuntu releases no longer offers the shutdown/reboot/hibernate/suspend actions. It is recommended that you remove this applet and replace it with the "User Switcher" applet, which now combines the previous "User switcher" and "Logout" applets. This change is not yet done automatically on upgrade (https://bugs.launchpad.net/bugs/274146)

== Prise en charge du noyau « temps réél » (rt) pour UbuntuStudio ==

No real-time kernel variant is available for the Linux 2.6.27 kernel included with Ubuntu 8.10. Users of Ubuntu``Studio 8.04 who need real-time kernel support are advised not to upgrade to Ubuntu``Studio 8.10.
Le fichier de configuration de X.org ({{{/etc/X11/xorg.conf}}}) contient toujours les entrées Input``Device pour la souris et le clavier, mais celles-ci sont désormais ignorées et remplacées par une détection automatique du périphérique lors de son branchement. Les réglages du clavier proviennent maintenant de {{{/etc/default/console-setup}}} ; pour les modifier veuillez employer `sudo dpkg-reconfigure console-setup`. Après quoi, HAL et X devront être redemarrés (par exemple en redémarrant votre système).

== Incompatibilité X.Org entre evdev et xmodmap ==

Les codes de touche X générés par le nouveau pilote {{{evdev}}} dans X.Org 1.5 ne sont pas compatibles avec ceux générés dans Ubuntu 8.04 LTS (et versions précédentes). Si vous aviez créé des combinaisons de touches (keybindings) spécifiques à l'aide de {{{~/.Xmodmap}}}, vous devrez les convertir ou les désactiver à la main.

== Prise en charge du noyau temps réel (rt) pour UbuntuStudio ==

Aucune version temps réel du noyau Linux 2.6.27 n'est disponible dans Ubuntu 8.10. Nous recommandons aux utilisateurs d'Ubuntu``Studio 8.04 qui ont besoin d'un noyau temps réel de ne pas mettre à jour vers Ubuntu``Studio 8.10.

== Gestion des touches spéciales sur les portables Toshiba ==

Le pilote du noyau {{{tlsup}}} inclus dans Linux 2.6.27 pour la prise en charge des portables Toshiba n'est pas compatible avec le modèle évenementiel de X.Org 1.5. En conséquence, les touches spéciales de ces portables ne seront pas utilisables sous Ubuntu 8.10. Ce problème sera traité dans une future mise à jour du noyau qui réintroduira le pilote {{{toshiba_acpi}}}.

== Échec au démarrage avec des cartes mères Intel D945 ==

Des utilisateurs ont signalé une détection plus lente que d'habitude des disques durs SATA sur les systèmes a base de carte mère Intel D945 avec Ubuntu 8.10. Cela peut bloquer le système sur l'invite de commande « busybox » de l'initramfs' avec une erreur « Gave up waiting for root device » (Abandon de l'attente du périphérique racine). Patientez une minute ou deux et quittez la console initramfs en tapant « exit ».
Le démarrage devrait continuer normalement. Si ce n'est pas le cas, attendez un peu plus et réessayez. Une fois que le système démarre, modifiez le fichier {{{/boot/grub/menu.lst}}} en ajoutant {{{rootdelay=90}}} à la ligne kernel concernant votre noyau actuel.
([[https://launchpad.net/bugs/290153|Bug 290153]]).

== Kubuntu KDE4 remix ==

Dans certains cas la mise à jour depuis une Kubuntu 8.04 KDE 4 Remix vers Kubuntu 8.10 ne mettra pas toutes les applications à jour. Ceci arrivera si le paquet {{{kubuntu-desktop}}} a été supprimé. Nous vous recommandons de vous assurer de la présence de {{{kubuntu-desktop}}}, et si KDE 4 est aussi installé que {{{kubuntu-kde4-desktop}}} est installé, avant la mise à jour. Si vous utilisez l'outil de mise à jour, cela sera géré automatiquement.

=== Impossible de se connecter après la mise à jour depuis Kubuntu 8.04 KDE 4 Remix ===

Après une mise à jour depuis Kubuntu 8.04 KDE 4 Remix, la saisie de vos identifiants vous ramenera à l'écran de connexion. Le lien alternatif {{{x-session-manager}}} n'est pas correctement mis à jour. Choisissez « KDE » depuis le menu « Session » avant de vous connecter et corrigez-le avec la commande {{{update-alternatives --set x-session-manager /usr/bin/startkde}}}. ([[https://launchpad.net/bugs/287488|Bug 287488]])


== Pas de prise en charge ssl/blowfish-v0.2, version 2:0:1 dans encfs ==

La compatibilité avec cet ancien algorithme a été abandonnée dans la version 1.4 de {{{encfs}} fournie avec Ubuntu 8.10. Avant de mettre à jour, les utilisateurs de cet algorithme devront migrer manuellement leurs volumes encfs vers de nouveaux volumes créés avec la nouvelle version. Vous pouvez également conserver l'ancienne version encfs pour pouvoir accéder à vos volumes.


== Problème de mise à jour sur PlayStation 3 ==

L'écran graphique de démarrage doit être désactivé lors de la mise à jour depuis Ubuntu 8.04 sur les systèmes Play``Station 3([[https://launchpad.net/bugs/285218|bug 285218]]). Consultez [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]] pour plus de détails.




Line 59: Line 126:
== TCP timestamps ==

Linux 2.6.27 now sets the timestamps option in TCP packets ([[http://www.ietf.org/rfc/rfc1323.txt|RFC 1323]]), an option dating from 1992 to improve performance over high-bandwidth-times-latency paths and to improve reliability over high-bandwidth paths, which was previously omitted by mistake.

However, this change appears to cause problems for some users, believed to be due to buggy routers between the user and the destination server (for example, this has been reported by several Verizon DSL users). If your Internet connection mostly appears to be working correctly, but you have problems connecting to certain sites, then try the following command: {{{
sudo sysctl -w net.ipv4.tcp_timestamps=0
}}}

This change will normally expire the next time you restart your computer. If it fixes the problem, then you can make the change permanent by running `sudo editor /etc/sysctl.conf` and adding the following line to the end of that file: {{{
net.ipv4.tcp_timestamps = 0
}}}

The real bug here is in your router (if you own one) or your ISP's routers. If a firmware upgrade is available for your router, follow your manufacturer's instructions to upgrade it. Otherwise, contact the support department of your router manufacturer or your ISP for further advice. At the same time, Linux kernel upstream is investigating a workaround that will restore interoperability with these routers while permitting TCP timestamps to be enabled, and this fix will be evaluated for inclusion in a Stable Release Update after the 8.10 release.

See [[https://launchpad.net/bugs/264019|bug #264019]], and thanks to [[http://wiki.mandriva.com/en/2009.0_Errata#TCP_timestamps|Mandriva]] for their clear documentation of this issue.

== Blocage du système avec les périphériques réseau sans-fil Intel 4965 ==

La version du pilote wifi {{{iwlagn}}} pour les circuits Intel 4965 inclus dans le noyau Linux 2.6.27 provoque des erreurs graves du noyau (kernel panic) quand il est employé avec des réseaux 802.11n ou 802.11g. Les utilisateurs touchés par ce problème peuvent installer le paquet {{{linux-backports-modules-intrepid}}}, pour installer une version plus récente du pilote qui corrige ce bogue. (Car le correctif connu requiert une nouvelle version du pilote, et qu'il n'est pas prévu d'inclure ce correctif dans le paquet principal du noyau.)

== Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled ==

On laptops with Intel 3945 or Intel 4965 wireless chipsets and a killswitch for the wireless antenna, starting the system with the killswitch enabled (i.e., with wireless disabled) will prevent re-enabling the wireless by toggling the killswitch. As a workaround, users should boot the system with the killswitch disabled. A future kernel update is expected to address this issue.

== Le pilote réseau sans-fil Atheros ath5k n'est pas activé par défaut ==

La version du pilote wifi {{{ath5k}}} pour les périphériques Atheros inclus dans Linux 2.6.27 interfère avec l'utilisation du pilote {{{madwifi}}} pour certains périphériques réseau sans-fi. Il a donc été désactivé par défaut. De nombreux circuits Atheros fonctionneront correctement avec le pilote {{{madwifi}}}, mais des circuits plus récents non, et le pilote {{{madwifi}}} ne fonctionnera pas avec l'authentification WPA. Si vous avez un périphérique Atheros qui ne fonctionne pas avec {{{madwifi}}}, vous pourrez installer le paquet {{{linux-backports-modules-intrepid-generic}}} qui contient une version plus récente du pilote {{{ath5k}}}. Bien qu'il ne soit pas installé par défaut, le paquet {{{linux-backports-modules-intrepid-generic}}} est présent sur les images CD et DVD d'Ubuntu 8.10 pour faciliter son installation.

== Limited support for Wacom tablet hotplugging ==

X.Org 1.5 includes support for autodetection of input devices, but for Wacom tablets this is currently limited to detecting the stylus only. Users of tablet devices who wish to use other input features will need to statically configure their input devices in {{{/etc/X11/xorg.conf}}}.

A complete discussion of this issue can be found in [[https://bugs.launchpad.net/bugs/282203|bug 282203]].

== iSCSI boot order ==

File systems hosted on iSCSI targets may not be mounted automatically at boot time, even if they have an entry in `/etc/fstab`, if a bridged or bonded Ethernet interface is required to reach the iSCSI target. As a work-around, you would have to restart the open-iscsi service and manually mount the file system in question after system boot, once the required network interface have been brought up. Systems equipped with a plain Ethernet interface are not affected.

See [[https://launchpad.net/bugs/227848|bug 227848]].

== Cannot mount more than one iSCSI target ==

Mounting multiple iSCSI targets at the same time is currently not supported. Systems configured to use more than one iSCSI targets should not be upgraded to Ubuntu 8.10.

For more information on the bug and solution approach see [[https://launchpad.net/bugs/289470|bug 289470]].

== Wireless doesn't work after suspend with ath_pci driver ==

Wireless devices that use the {{{ath_pci}}} kernel driver, such as the Atheros AR5212 wireless card, will be unable to connect to the network after using suspend and resume. To work around this issue, users can create a file {{{/etc/pm/config.d/madwifi}}} containing the single line:
{{{
   SUSPEND_MODULES=ath_pci
}}}

This will cause the module to be unloaded before suspend and reloaded on resume.

== Systems installed from pre-release daily images may be missing some files ==

A bug present in pre-release daily desktop images caused some files related to language support to be missing from installed systems. Uninstalling and reinstalling the language support packages should correct this issue.

This issue does not affect users who installed using the Ubuntu 8.10 Beta or Release Candidate.

== Kubuntu Bluetooth support ==

Bluetooth is not supported in Kubuntu 8.10 because KDE does not yet support the bluez 4.x stack required for compatibility with the kernel used in 8.10.
A fix for this is being evaluated as a post-release update. ([[https://launchpad.net/bugs/280997|Bug 280997]])

== KNetworkManager cannot manage connections with static IPs ==

KNetwork``Manager in Kubuntu 8.10 sometimes fails with network connections that require static IP address configuration ([[https://launchpad.net/bugs/280762|bug 280762]]). Connections which use DHCP for IP address configuration are not affected by this problem.

== Utiliser l'outil usb-creator avec des images 8.04.1 (Hardy) ==

Persistence support in 8.04.1 images is broken. Creating a USB disk with usb-creator and an 8.04.1 image results in a busybox prompt if the persistence option is checked.

Le support de la persistence pour les images 8.04.1 est cassé. Créer un disque USB avec l'usb-creator et une image de 8.04.1 résulterat en une invite busybox si la option de persistence est cochée.


== Only US wireless channels enabled by default on Intel 3945 ==

The {{{iwl3945}}} wireless driver defaults to the US regulatory domain for wireless, so wireless networks on channels forbidden by US regulations but permitted by European or Japanese regulations will not work out of the box. This affects IEEE 802.11b/g channels 12 (Europe and Japan), 13 (Europe and Japan), and 14 (Japan only), as well as all 802.11a channels. (Some other wireless drivers may be affected; this is the only one we are sure of so far.)

To work around this, add the following line to the `/etc/modprobe.d/options` file if you use this driver and need to use European wireless channels: {{{
options cfg80211 ieee80211_regdom=EU
}}}

Alternatively, add the following line if you use this driver and need to use Japanese wireless channels: {{{
options cfg80211 ieee80211_regdom=JP
}}}

== Cyrus SASL database created with incorrect permissions ==

Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl: {{{
$ sudo chgrp sasl /etc/sasldb2
}}}

See [[https://launchpad.net/bugs/288478|bug 288478]] for details.

== Accès au Java Runtime Environment ==

To use Java programs, you need to install the `openjdk-6-jre` package whch contains the Java Runtime Environment. If you want to develop Java programs, then install the `openjdk-6-jdk` package. To work with Java applets in the Firefox browser and compatible browsers on x86 architectures, you need to install the `icedtea6-plugin` package by hand.

Pour utiliser des programmes en Java, vous devez installer le paquet `openjdk-6-jre` qui contient le Java Runtime Environment. Si vous voulez développer des programmes en Java, alors il faut installer le paquet `openjdk-6-jdk`. Pour travailler avec les appliquettes Java dans le navigateur Firefox et des navigateurs compatibles sur les architectures x86, vous devez installer manuellement le paquet `icedtea6-plugin`.

The JRE and the Java applet plugin are installed by default in the live session on the Ubuntu DVD, but are not currently installed elsewhere due to space constraints. However, a [[https://launchpad.net/bugs/290400|missing feature]] in the installer means that these packages will not be installed when installing using the graphical installer on the DVD, so you will need to install them afterwards.

Les paquets JRE et greffon pour appliquettes Java sont installés par défaut dans la session Live du DVD Ubuntu, mais ne le sont pas ailleurs pour des raisons d'espace. Cependant une [[https://launchpad.net/bugs/290400|fonctionnalité manquante] dans l'installateur signifie que les paquets ne seront pas installé avec l'installateur graphique du DVD, et que donc il faudra les installer par la suite.

== CD eject problems ==

After ejecting a CD tray containing a disc, the tray will be immediately retracted, making it difficult to remove the disc ([[https://launchpad.net/bugs/283316|bug 283316]]). This can be worked around by pressing the eject button again before the disc is fully mounted, after which it will stay open. We expect to fix this in a post-release update.

== Hangs with desktop effects on Intel 830MG and 845G video cards ==

There is a bug in the Intel video driver for the older intel 830 and 845 integrated video cards that are used on laptops like the IBM R30. Desktop effects with compiz will not work on those chips and will freeze the system. For new installations, please install using the safe graphics mode (press F4 in the startup screen) on these systems and disable desktop effects via {{{System -> Preferences -> Appearance}}}, clicking on "Visual effects" and choosing "None".

== PlayStation 3 issues ==

There are a variety of other known issues affecting Play``Station 3 systems, documented in more detail in the [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]]. They include:

 * To get back to the Sony Play``Station 3 XMB operating system from the boot prompt, users need to type `game` and press the Return key ([[https://launchpad.net/bugs/277839|bug 277839]]). If this is for some reason not possible, carrying out a hard-reset (see PS3 instruction manual) will return to the XMB on next run.
 * Users may occasionally see an intermittent shutdown hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run ([[https://launchpad.net/bugs/220370|bug 220370]]).
 * Network``Manager does not list available wireless networks, although it is possible to connect to a wireless network with a known SSID using the "connect to hidden wireless network" option ([[https://launchpad.net/bugs/289977|bug 289977]]); and it cannot connect to WPA/WPA2 wireless networks, although WEP works ([[https://launchpad.net/bugs/289982|bug 289982]]).

== iSCSI boot order ==

Les systèmes de fichiers placés sur des ressources iSCSI peuvent ne pas être montés automatiquement lors de démarrage, même s'ils sont déclarés dans `/etc/fstab`, si une interface Ethernet de type pont (bridged) ou de type lié (bonded) est requis pour accéder à la ressource iSCSI. Pour contourner cela, vous devrez relancer le service `open-iscsi` et monter manuellement le système de fichier en question après que l'interface Ethernet ait été activée. Les systèmes disposant d'une Interface Ethernet classique ne sont pas affectés.

Consultez [[https://launchpad.net/bugs/227848|bug #227848]] [en].


Contents

  1. Configuration minimale
  2. Installation
    1. Les disques durs pourraient ne pas s'afficher en mode « Live CD »
    2. L'option « logiciels libres seulement » installe des logiciels propriétaires
    3. Démarrage lent durant l'étape « Sélectionner et installer des logiciels » dans l'installateur en mode texte
    4. oem-config n'arrive pas à gérer certaines langues correctement
    5. Échec de l'installation MID sans réseau
    6. Paquets recommandés installés par défaut
    7. Limitation de mots de passe avec ecryptfs
    8. Problèmes d'installation sur PlayStation 3
  3. Mise à niveau
    1. Prise en charge des anciennes cartes Nvidia
    2. Prise en charge des cartes ATI avec « fglrx »
    3. Périphériques d'entrée pour X.Org
    4. Incompatibilité X.Org entre evdev et xmodmap
    5. Prise en charge du noyau temps réel (rt) pour UbuntuStudio
    6. Gestion des touches spéciales sur les portables Toshiba
    7. Échec au démarrage avec des cartes mères Intel D945
    8. Kubuntu KDE4 remix
      1. Impossible de se connecter après la mise à jour depuis Kubuntu 8.04 KDE 4 Remix
    9. Pas de prise en charge ssl/blowfish-v0.2, version 2:0:1 dans encfs
    10. Problème de mise à jour sur PlayStation 3
  4. Autres problèmes connus
    1. Blocage du système avec les périphériques réseau sans-fil Intel 4965
    2. Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled
    3. Le pilote réseau sans-fil Atheros ath5k n'est pas activé par défaut
    4. Limited support for Wacom tablet hotplugging
    5. iSCSI boot order
    6. Cannot mount more than one iSCSI target
    7. Wireless doesn't work after suspend with ath_pci driver
    8. Systems installed from pre-release daily images may be missing some files
    9. Kubuntu Bluetooth support
    10. KNetworkManager cannot manage connections with static IPs
    11. Utiliser l'outil usb-creator avec des images 8.04.1 (Hardy)
    12. Only US wireless channels enabled by default on Intel 3945
    13. Cyrus SASL database created with incorrect permissions
    14. Accès au Java Runtime Environment
    15. CD eject problems
    16. Hangs with desktop effects on Intel 830MG and 845G video cards
    17. PlayStation 3 issues
    18. iSCSI boot order

Ces notes de publication recensent les problèmes connus pour Ubuntu 8.10 et ses variantes.

Configuration minimale

Ubuntu 8.10 requiert un minimum de 256 Mo de mémoire. (Notez bien qu'une partie de la mémoire de votre ordinateur peut être utilisée par la carte graphique et ne pas être disponible pour le système.)

Si vous ne disposez que du minimum de mémoire requis, l'installation prendra plus de temps mais s'achèvera normalement, et le système fonctionnera correctement une fois installé. Si votre système dispose de peu de mémoire, nous vous conseillons de procéder à l'installation en sélectionnant « Installer Ubuntu » depuis le menu de démarrage du CD « Desktop », plutôt que de lancer l'environnement de bureau complet en sélectionnant « Essayer Ubuntu sans rien modifier sur l'ordinateur ».

Installation

Les disques durs pourraient ne pas s'afficher en mode « Live CD »

Si un utilisateur parcours un disque dur en mode « Live CD » avant l'installation, Ubiquity ne permettra pas l'installation sur ce disque car les disques ne peuvent pas être partitionnés s'ils ont des partitions montées. Vous devrez d'abord démonter ces partitions avant de pouvoir effectuer une installation.

L'option « logiciels libres seulement » installe des logiciels propriétaires

L'option « logiciels libres seulement » disponible en appuyant deux fois sur F6 au premier écran du CD/DVD « desktop », installera le paquet restreint linux-restricted-modules-2.6.27-7-generic par erreur. Ceci peut être contourné en désinstallant le paquet linux-restricted-modules-2.6.27-7-generic une fois l'installation du système terminée.

L'option « logiciels libres seulement » n'installera aucun autre logiciel propriétaire.

Pour plus de renseignements, consultez le Bug 290925 [en]

Démarrage lent durant l'étape « Sélectionner et installer des logiciels » dans l'installateur en mode texte

L'étape « Sélectionner et installer des logiciels » durant l'installation sur CD en mode texte pourrait se bloquer à quelques pour cents. Ceci est particulièrement le cas pour les installations en réseau (netboot), où il n'y aura pas de barre de progression durant le téléchargement des paquets. Ceci est dû à un problème d'interaction entre l'installateur et apt-get qui fut diagnostiqué trop tard pour être corrigé dans Ubuntu 8.10 : bug 290234.

Vous pouvez savoir si l'installateur est en cours d'avancement en utilisant Alt-F4 pour passer dans la console de suivi ; Alt-F1 permet de revenir à l'installation principale. (Si vous faites une installation dans QEMU ou KVM, assure-vous d'avoir utilisé la combinaison de touches Ctrl+Alt ou d'avoir cliqué dans la fenêtre pour que l'émulateur ait le focus avant d'utiliser Alt+F4, sinon vous fermerez l'émulateur !)

oem-config n'arrive pas à gérer certaines langues correctement

L'outil de configuration OEM pour l'utilisateur final gère mal la sélection de langues qui n'utilisent pas les jeux de caractères ASCII ou ISO-8859-1, et l'utilisateur final se retrouvera sans traduction après avoir sélectionné une de ces langues. La liste des langues connues comme fonctionnelles est la suivante : basque, catalan, danois,néerlandais, anglais, finnois, français, galicien, allemand, indonésien, italien, sami du Nord, norvégien bokmål, norvégien nynorsk, portugais, portugais (Brésil), espagnol, suédois, tagalog.

Pour le moment, les OEMs touchés par ce problème devront appliquer ce patch (la partie scripts/tzsetup) sur le fichier /usr/lib/oem-config/timezone/tzsetup avant de lancer « Préparer pour la livraison pour l'utilisateur final ». Nous comptons publier une mise à jour pour ceci d'ici peu, qui sera installable via le système de paquets au même moment.

Échec de l'installation MID sans réseau

Lorsque l'on essaie d'installer une image Ubuntu MID (Mobile Internet Device) sans réseau, l'installeur affiche en boucle une boîte de dialogue lors de l'analyse de l'archive vers la fin de l'installation. La seule manière de sortie de cette boucle est de se connecter à un réseau (bug 288320).

Paquets recommandés installés par défaut

En accord avec le guide de la politique Debian (qui indique que le champ « recommandés » doit lister les paquets qui devraient toujours être installés avec celui-ci, sauf cas exceptionnel), le système de gestion des paquets installe maintenant par défaut aussi bien les paquets listés dans le champ « recommandés » que ceux ceux du champ « dépendances ». Si vous voulez éviter ceci pour certains paquets, utilisez apt-get --no-install-recommends. Si vous voulez rendre cela définitif, ajoutez l'entrée APT::Install-Recommends "false" au fichier /etc/apt/apt.conf (créez ce fichier s'il n'existe pas), mais soyez conscient que des fonctionnalités risquent d'être alors absentes dans certains logiciels.

Limitation de mots de passe avec ecryptfs

Les utilisateurs des installations « alternate/server » qui choisissent un mot de passe contenant un "%" ou un "-" obtiendront un repertoire chiffré ~/Private qui ne sera pas monté au redémarrage ni aux connexions suivantes. Pour corriger cela, les utisateurs touchés devront effectuer les étapes suivantes sur un système fraîchement installé :

  1. mettre à jour ecryptfs-utils en version 53-1ubuntu12 au minimum (dès que le paquet de mise à jour sera disponible) ;
  2. exécuter : $ ecryptfs-setup-private --force.

Pour plus d'informations sur ce bogue et un début de solution voir bug #290445.

Problèmes d'installation sur PlayStation 3

Il y a quelques problèmes non bloquants avec l'installation depuis le CD alternate sur les PlayStation 3. Voir PS3 release notes pour plus de détails.

Mise à niveau

Les utilisateurs d'Ubuntu 8.04 LTS peuvent mettre à niveau leur distribution vers la version 8.10 grâce à un processus automatisé. Pour ceux qui utilisent une version plus ancienne, il faudra d'abord effectuer une mise à niveau vers Ubuntu 8.04 LTS, puis vers la version 8.10. Les instructions complètes peuvent être consultées sur http://www.ubuntu.com/getubuntu/upgrading [en].

Prise en charge des anciennes cartes Nvidia

Les séries 71 et 96 des pilotes propriétaires nVidia, proposés par les paquets nvidia-glx-legacy et nvidia-glx dans Ubuntu 8.04 LTS, ne sont pas compatibles avec la version du serveur X.Org incluse dans Ubuntu 8.10. Les utilisateurs de cartes graphiques à base de nVidia TNT, TNT2, TNT Ultra, GeForce, GeForce2, GeForce3, et GeForce4 sont concernés, et leur pilote sera remplacé par le pilote libre nv lors de la mise à jour. Ce pilote ne prend pas en charge l'accélération 3D.

Les utilisateurs dont les cartes graphiques sont prises en charge par les pilotes des séries 173 ou 177 se verront proposer les paquets nvidia-glx-173 ou nvidia-glx-177 à la place. Cependant, à la différence des pilotes 96 et 71, les pilotes 173 et 177 ne sont compatibles qu'avec les processeurs gérant les SSE (les Intel Pentium III, AMD Athlon XP ou plus récent). Les systèmes avec des processeurs plus anciens seront configurés pour utiliser le pilote nv durant la mise à jour.

Prise en charge des cartes ATI avec « fglrx »

Le pilote graphique ATI dans Ubuntu 8.10 abandonne la prise en charge des cartes basées sur les circuits r300 (les séries de cartes Radeon 9500 - X600). Si vous avez une telle carte, veuillez utiliser « Pilotes de périphériques » dans le menu Système/Administration pour le désactiver avant la mise à jour. Consultez bug 284408 pour plus d'informations.

Périphériques d'entrée pour X.Org

Le fichier de configuration de X.org (/etc/X11/xorg.conf) contient toujours les entrées InputDevice pour la souris et le clavier, mais celles-ci sont désormais ignorées et remplacées par une détection automatique du périphérique lors de son branchement. Les réglages du clavier proviennent maintenant de /etc/default/console-setup ; pour les modifier veuillez employer sudo dpkg-reconfigure console-setup. Après quoi, HAL et X devront être redemarrés (par exemple en redémarrant votre système).

Incompatibilité X.Org entre evdev et xmodmap

Les codes de touche X générés par le nouveau pilote evdev dans X.Org 1.5 ne sont pas compatibles avec ceux générés dans Ubuntu 8.04 LTS (et versions précédentes). Si vous aviez créé des combinaisons de touches (keybindings) spécifiques à l'aide de ~/.Xmodmap, vous devrez les convertir ou les désactiver à la main.

Prise en charge du noyau temps réel (rt) pour UbuntuStudio

Aucune version temps réel du noyau Linux 2.6.27 n'est disponible dans Ubuntu 8.10. Nous recommandons aux utilisateurs d'UbuntuStudio 8.04 qui ont besoin d'un noyau temps réel de ne pas mettre à jour vers UbuntuStudio 8.10.

Gestion des touches spéciales sur les portables Toshiba

Le pilote du noyau tlsup inclus dans Linux 2.6.27 pour la prise en charge des portables Toshiba n'est pas compatible avec le modèle évenementiel de X.Org 1.5. En conséquence, les touches spéciales de ces portables ne seront pas utilisables sous Ubuntu 8.10. Ce problème sera traité dans une future mise à jour du noyau qui réintroduira le pilote toshiba_acpi.

Échec au démarrage avec des cartes mères Intel D945

Des utilisateurs ont signalé une détection plus lente que d'habitude des disques durs SATA sur les systèmes a base de carte mère Intel D945 avec Ubuntu 8.10. Cela peut bloquer le système sur l'invite de commande « busybox » de l'initramfs' avec une erreur « Gave up waiting for root device » (Abandon de l'attente du périphérique racine). Patientez une minute ou deux et quittez la console initramfs en tapant « exit ». Le démarrage devrait continuer normalement. Si ce n'est pas le cas, attendez un peu plus et réessayez. Une fois que le système démarre, modifiez le fichier /boot/grub/menu.lst en ajoutant rootdelay=90 à la ligne kernel concernant votre noyau actuel. (Bug 290153).

Kubuntu KDE4 remix

Dans certains cas la mise à jour depuis une Kubuntu 8.04 KDE 4 Remix vers Kubuntu 8.10 ne mettra pas toutes les applications à jour. Ceci arrivera si le paquet kubuntu-desktop a été supprimé. Nous vous recommandons de vous assurer de la présence de kubuntu-desktop, et si KDE 4 est aussi installé que kubuntu-kde4-desktop est installé, avant la mise à jour. Si vous utilisez l'outil de mise à jour, cela sera géré automatiquement.

Impossible de se connecter après la mise à jour depuis Kubuntu 8.04 KDE 4 Remix

Après une mise à jour depuis Kubuntu 8.04 KDE 4 Remix, la saisie de vos identifiants vous ramenera à l'écran de connexion. Le lien alternatif x-session-manager n'est pas correctement mis à jour. Choisissez « KDE » depuis le menu « Session » avant de vous connecter et corrigez-le avec la commande update-alternatives --set x-session-manager /usr/bin/startkde. (Bug 287488)

Pas de prise en charge ssl/blowfish-v0.2, version 2:0:1 dans encfs

La compatibilité avec cet ancien algorithme a été abandonnée dans la version 1.4 de {encfs fournie avec Ubuntu 8.10. Avant de mettre à jour, les utilisateurs de cet algorithme devront migrer manuellement leurs volumes encfs vers de nouveaux volumes créés avec la nouvelle version. Vous pouvez également conserver l'ancienne version encfs pour pouvoir accéder à vos volumes.

Problème de mise à jour sur PlayStation 3

L'écran graphique de démarrage doit être désactivé lors de la mise à jour depuis Ubuntu 8.04 sur les systèmes PlayStation 3(bug 285218). Consultez PS3 release notes pour plus de détails.

Autres problèmes connus

Blocage du système avec les périphériques réseau sans-fil Intel 4965

La version du pilote wifi iwlagn pour les circuits Intel 4965 inclus dans le noyau Linux 2.6.27 provoque des erreurs graves du noyau (kernel panic) quand il est employé avec des réseaux 802.11n ou 802.11g. Les utilisateurs touchés par ce problème peuvent installer le paquet linux-backports-modules-intrepid, pour installer une version plus récente du pilote qui corrige ce bogue. (Car le correctif connu requiert une nouvelle version du pilote, et qu'il n'est pas prévu d'inclure ce correctif dans le paquet principal du noyau.)

Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled

On laptops with Intel 3945 or Intel 4965 wireless chipsets and a killswitch for the wireless antenna, starting the system with the killswitch enabled (i.e., with wireless disabled) will prevent re-enabling the wireless by toggling the killswitch. As a workaround, users should boot the system with the killswitch disabled. A future kernel update is expected to address this issue.

Le pilote réseau sans-fil Atheros ath5k n'est pas activé par défaut

La version du pilote wifi ath5k pour les périphériques Atheros inclus dans Linux 2.6.27 interfère avec l'utilisation du pilote madwifi pour certains périphériques réseau sans-fi. Il a donc été désactivé par défaut. De nombreux circuits Atheros fonctionneront correctement avec le pilote madwifi, mais des circuits plus récents non, et le pilote madwifi ne fonctionnera pas avec l'authentification WPA. Si vous avez un périphérique Atheros qui ne fonctionne pas avec madwifi, vous pourrez installer le paquet linux-backports-modules-intrepid-generic qui contient une version plus récente du pilote ath5k. Bien qu'il ne soit pas installé par défaut, le paquet linux-backports-modules-intrepid-generic est présent sur les images CD et DVD d'Ubuntu 8.10 pour faciliter son installation.

Limited support for Wacom tablet hotplugging

X.Org 1.5 includes support for autodetection of input devices, but for Wacom tablets this is currently limited to detecting the stylus only. Users of tablet devices who wish to use other input features will need to statically configure their input devices in /etc/X11/xorg.conf.

A complete discussion of this issue can be found in bug 282203.

iSCSI boot order

File systems hosted on iSCSI targets may not be mounted automatically at boot time, even if they have an entry in /etc/fstab, if a bridged or bonded Ethernet interface is required to reach the iSCSI target. As a work-around, you would have to restart the open-iscsi service and manually mount the file system in question after system boot, once the required network interface have been brought up. Systems equipped with a plain Ethernet interface are not affected.

See bug 227848.

Cannot mount more than one iSCSI target

Mounting multiple iSCSI targets at the same time is currently not supported. Systems configured to use more than one iSCSI targets should not be upgraded to Ubuntu 8.10.

For more information on the bug and solution approach see bug 289470.

Wireless doesn't work after suspend with ath_pci driver

Wireless devices that use the ath_pci kernel driver, such as the Atheros AR5212 wireless card, will be unable to connect to the network after using suspend and resume. To work around this issue, users can create a file /etc/pm/config.d/madwifi containing the single line:

   SUSPEND_MODULES=ath_pci

This will cause the module to be unloaded before suspend and reloaded on resume.

Systems installed from pre-release daily images may be missing some files

A bug present in pre-release daily desktop images caused some files related to language support to be missing from installed systems. Uninstalling and reinstalling the language support packages should correct this issue.

This issue does not affect users who installed using the Ubuntu 8.10 Beta or Release Candidate.

Kubuntu Bluetooth support

Bluetooth is not supported in Kubuntu 8.10 because KDE does not yet support the bluez 4.x stack required for compatibility with the kernel used in 8.10. A fix for this is being evaluated as a post-release update. (Bug 280997)

KNetworkManager cannot manage connections with static IPs

KNetworkManager in Kubuntu 8.10 sometimes fails with network connections that require static IP address configuration (bug 280762). Connections which use DHCP for IP address configuration are not affected by this problem.

Utiliser l'outil usb-creator avec des images 8.04.1 (Hardy)

Persistence support in 8.04.1 images is broken. Creating a USB disk with usb-creator and an 8.04.1 image results in a busybox prompt if the persistence option is checked.

Le support de la persistence pour les images 8.04.1 est cassé. Créer un disque USB avec l'usb-creator et une image de 8.04.1 résulterat en une invite busybox si la option de persistence est cochée.

Only US wireless channels enabled by default on Intel 3945

The iwl3945 wireless driver defaults to the US regulatory domain for wireless, so wireless networks on channels forbidden by US regulations but permitted by European or Japanese regulations will not work out of the box. This affects IEEE 802.11b/g channels 12 (Europe and Japan), 13 (Europe and Japan), and 14 (Japan only), as well as all 802.11a channels. (Some other wireless drivers may be affected; this is the only one we are sure of so far.)

To work around this, add the following line to the /etc/modprobe.d/options file if you use this driver and need to use European wireless channels:

options cfg80211 ieee80211_regdom=EU

Alternatively, add the following line if you use this driver and need to use Japanese wireless channels:

options cfg80211 ieee80211_regdom=JP

Cyrus SASL database created with incorrect permissions

Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl:

$ sudo chgrp sasl /etc/sasldb2

See bug 288478 for details.

Accès au Java Runtime Environment

To use Java programs, you need to install the openjdk-6-jre package whch contains the Java Runtime Environment. If you want to develop Java programs, then install the openjdk-6-jdk package. To work with Java applets in the Firefox browser and compatible browsers on x86 architectures, you need to install the icedtea6-plugin package by hand.

Pour utiliser des programmes en Java, vous devez installer le paquet openjdk-6-jre qui contient le Java Runtime Environment. Si vous voulez développer des programmes en Java, alors il faut installer le paquet openjdk-6-jdk. Pour travailler avec les appliquettes Java dans le navigateur Firefox et des navigateurs compatibles sur les architectures x86, vous devez installer manuellement le paquet icedtea6-plugin.

The JRE and the Java applet plugin are installed by default in the live session on the Ubuntu DVD, but are not currently installed elsewhere due to space constraints. However, a missing feature in the installer means that these packages will not be installed when installing using the graphical installer on the DVD, so you will need to install them afterwards.

Les paquets JRE et greffon pour appliquettes Java sont installés par défaut dans la session Live du DVD Ubuntu, mais ne le sont pas ailleurs pour des raisons d'espace. Cependant une [[https://launchpad.net/bugs/290400|fonctionnalité manquante] dans l'installateur signifie que les paquets ne seront pas installé avec l'installateur graphique du DVD, et que donc il faudra les installer par la suite.

CD eject problems

After ejecting a CD tray containing a disc, the tray will be immediately retracted, making it difficult to remove the disc (bug 283316). This can be worked around by pressing the eject button again before the disc is fully mounted, after which it will stay open. We expect to fix this in a post-release update.

Hangs with desktop effects on Intel 830MG and 845G video cards

There is a bug in the Intel video driver for the older intel 830 and 845 integrated video cards that are used on laptops like the IBM R30. Desktop effects with compiz will not work on those chips and will freeze the system. For new installations, please install using the safe graphics mode (press F4 in the startup screen) on these systems and disable desktop effects via System -> Preferences -> Appearance, clicking on "Visual effects" and choosing "None".

PlayStation 3 issues

There are a variety of other known issues affecting PlayStation 3 systems, documented in more detail in the PS3 release notes. They include:

  • To get back to the Sony PlayStation 3 XMB operating system from the boot prompt, users need to type game and press the Return key (bug 277839). If this is for some reason not possible, carrying out a hard-reset (see PS3 instruction manual) will return to the XMB on next run.

  • Users may occasionally see an intermittent shutdown hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run (bug 220370).

  • NetworkManager does not list available wireless networks, although it is possible to connect to a wireless network with a known SSID using the "connect to hidden wireless network" option (bug 289977); and it cannot connect to WPA/WPA2 wireless networks, although WEP works (bug 289982).

iSCSI boot order

Les systèmes de fichiers placés sur des ressources iSCSI peuvent ne pas être montés automatiquement lors de démarrage, même s'ils sont déclarés dans /etc/fstab, si une interface Ethernet de type pont (bridged) ou de type lié (bonded) est requis pour accéder à la ressource iSCSI. Pour contourner cela, vous devrez relancer le service open-iscsi et monter manuellement le système de fichier en question après que l'interface Ethernet ait été activée. Les systèmes disposant d'une Interface Ethernet classique ne sont pas affectés.

Consultez bug #227848 [en].

IntrepidReleaseNotes/fr (last edited 2008-11-02 13:58:22 by jean-peyratout)